using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Summary description for BoxTraduzione
/// </summary>
namespace WebPartAdHoc
{
    public class BoxTraduzione : WebPart
    {
        private string pStrText = null;
        private TextBox txtStringaDaTradurre;

        private Label lblStringaTradotta;

        public BoxTraduzione()
        {
            this.AllowClose = true;
        }

        [Personalizable, WebBrowsable]
        public string StringaDaTradurre
        {
            get { return pStrText; }
            set { pStrText = value; }
        }

        protected override void CreateChildControls()
        {
            Controls.Clear();
            // display della textBox 
            txtStringaDaTradurre = new TextBox();
            txtStringaDaTradurre.Text = this.StringaDaTradurre;
            this.Controls.Add(txtStringaDaTradurre);
            // display del pulsante
            Button btnTraduci = new Button();
            btnTraduci.Text = "Traduci";
            btnTraduci.Click += new EventHandler(this.btnTraduci_Click);
            this.Controls.Add(btnTraduci);
            // display della label 
            lblStringaTradotta = new Label();
            lblStringaTradotta.BackColor = System.Drawing.Color.Black;
            lblStringaTradotta.ForeColor = System.Drawing.Color.White;
            this.Controls.Add(lblStringaTradotta);
            ChildControlsCreated = true;
        }

        private void btnTraduci_Click(Object sender, EventArgs e)
        {
            // display della frase tradotta 
            if (txtStringaDaTradurre.Text != null)
            {
                this.StringaDaTradurre = txtStringaDaTradurre.Text;
                txtStringaDaTradurre.Text = null;
                // accesso al web service 
                net.webservicex.www.TranslateService ws = new net.webservicex.www.TranslateService();
                lblStringaTradotta.Text = "<br />" + this.StringaDaTradurre + " ==> " + ws.Translate(net.webservicex.www.Language.ItalianTOEnglish, this.StringaDaTradurre);
            }
        }
    }
}